.form-color-option > * {
  margin-block-end: 0;
  margin-block-start: 0;
}
.form-color-option > * + * {
  margin-block-start: 0.5rem;
}
.form-color-option__inner {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.form-color {
  --size: 2.5rem;
}
.form-color--check-light .form-color__control:checked + .form-color__label::before {
  background-image: url('data:image/svg+xml,%3csvg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"%3e%3cpath d="M9.525,13.777l-2.411,-2.412c-0.234,-0.233 -0.613,-0.233 -0.846,0l-1.27,1.27c-0.233,0.233 -0.233,0.612 0,0.846l4.104,4.103c0.116,0.117 0.269,0.175 0.422,0.175l0.003,0c0.152,0 0.305,-0.058 0.421,-0.175l9.054,-9.053c0.233,-0.234 0.233,-0.613 -0,-0.846l-1.27,-1.269c-0.233,-0.234 -0.612,-0.234 -0.846,-0l-7.361,7.361Z" style="fill:white;"/%3e%3c/svg%3e');
}
.form-color--check-dark .form-color__control:checked + .form-color__label::before {
  background-image: url('data:image/svg+xml,%3csvg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"%3e%3cpath d="M9.525,13.777l-2.411,-2.412c-0.234,-0.233 -0.613,-0.233 -0.846,0l-1.27,1.27c-0.233,0.233 -0.233,0.612 0,0.846l4.104,4.103c0.116,0.117 0.269,0.175 0.422,0.175l0.003,0c0.152,0 0.305,-0.058 0.421,-0.175l9.054,-9.053c0.233,-0.234 0.233,-0.613 -0,-0.846l-1.27,-1.269c-0.233,-0.234 -0.612,-0.234 -0.846,-0l-7.361,7.361Z" style="fill:black;"/%3e%3c/svg%3e');
}
.form-color__control {
  block-size: 1px !important;
  border: 0 !important;
  clip: rect(0, 0, 0, 0) !important;
  inline-size: 1px !important;
  margin: -1px !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  white-space: nowrap !important;
}
.form-color__control:checked + .form-color__label {
  box-shadow: none;
}
.form-color__control:checked + .form-color__label::before {
  --size: 1.5rem;
  background-size: var(--size);
  block-size: var(--size);
  content: "";
  inline-size: var(--size);
}
.form-color__control:focus-visible + .form-color__label {
  outline: 2px solid currentColor;
  outline-offset: 2px;
}
.form-color__control:disabled + .form-color__label {
  cursor: not-allowed;
  opacity: 25%;
}
.form-color__label {
  align-items: center;
  background-color: currentColor;
  block-size: var(--size);
  border-radius: 50%;
  display: inline-flex;
  inline-size: var(--size);
  justify-content: center;
}
